Bug 245244 - security/openconnect-gui Version 1.4.1 available from GIT_HUB
Summary: security/openconnect-gui Version 1.4.1 available from GIT_HUB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-01 17:45 UTC by papowell
Modified: 2020-06-08 13:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pkubaj)


Attachments
diff of new and updated port security/openconnect-gui (1.00 KB, patch)
2020-04-01 17:57 UTC, papowell
no flags Details | Diff
shar of security/openconnect-gui (5.78 KB, text/plain)
2020-04-01 17:58 UTC, papowell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description papowell 2020-04-01 17:45:46 UTC

    
Comment 1 papowell 2020-04-01 17:57:06 UTC
Created attachment 212940 [details]
diff of new and updated port security/openconnect-gui
Comment 2 papowell 2020-04-01 17:58:07 UTC
Created attachment 212941 [details]
shar of security/openconnect-gui
Comment 3 papowell 2020-04-01 18:44:50 UTC
security/openconnect-gui uses version 1.4.1, and the port was marked as BROKEN=unfetchable from GIT_HUB.

https://github.com/openconnect/openconnect-gui/releases has version v1.4.1, with an ASSETS button.  If you click on the button you can download openconnect-gui-1.4.1.tar.gz,  and put it in /usr/ports/distfiles as openconnect-openconnect-gui-v1.4.1_GH0.tar.gz.  If you now run 'make makesum' the distfile information is updated.  The updated port on FreeBSD 11.3 now 

I suspect that the PORTREVISION=3 should be updated to 4.
Comment 4 Rene Ladan freebsd_committer 2020-05-24 16:18:46 UTC
Any news? This port expired on 2020-05-05.
Comment 5 Piotr Kubaj freebsd_committer 2020-05-25 15:12:13 UTC
I don't use this port now.

@papowell@astart.com
Would you like to maintain it?
Comment 6 Rene Ladan freebsd_committer 2020-06-07 15:49:53 UTC
Hm, I get another distinfo when I freshly download the file (1.4.1, note that 1.5.3 is the latest release):

SHA256 (openconnect-openconnect-gui-v1.4.1_GH0.tar.gz) = a8d156d056a81be1c895738f0a4299b60fc87b608fcb9676b8f2d5215b7101ae
SIZE (openconnect-openconnect-gui-v1.4.1_GH0.tar.gz) = 10025784
Comment 7 commit-hook freebsd_committer 2020-06-07 17:01:37 UTC
A commit references this bug:

Author: rene
Date: Sun Jun  7 17:01:22 UTC 2020
New revision: 538170
URL: https://svnweb.freebsd.org/changeset/ports/538170

Log:
  security/openconnect-gui: fix fetch and bump PORTREVISION

  I recalculated distinfo myself using `make makesum`, so it differs from
  the distinfo given in the patch.

  Note that version 1.5.3 is released for those who want to pick up this port.

  PR:		245244
  Submitted by:	papowell@astart.com
  Approved by:	maintainer (pkbubaj)
  MFH:		2020Q2

Changes:
  head/security/openconnect-gui/Makefile
  head/security/openconnect-gui/distinfo
Comment 8 commit-hook freebsd_committer 2020-06-08 13:21:29 UTC
A commit references this bug:

Author: rene
Date: Mon Jun  8 13:21:20 UTC 2020
New revision: 538215
URL: https://svnweb.freebsd.org/changeset/ports/538215

Log:
  MFH: r538170

  security/openconnect-gui: fix fetch and bump PORTREVISION

  I recalculated distinfo myself using `make makesum`, so it differs from
  the distinfo given in the patch.

  Note that version 1.5.3 is released for those who want to pick up this port.

  PR:		245244
  Submitted by:	papowell@astart.com
  Approved by:	maintainer (pkbubaj)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/security/openconnect-gui/Makefile
  branches/2020Q2/security/openconnect-gui/distinfo